<?php
		
$pl = $this->bean->getPositionList();
$this->ss->assign('POSITION_LIST', $pl);

$pl2 = $this->bean->getPositionList2();
$this->ss->assign('POSITION_LIST2', $pl2);

$pl3 = $this->bean->getPositionList3();
$this->ss->assign('POSITION_LIST3', $pl3);

$pl55 = $this->bean->getPositionList55();

$this->ss->assign('POSITION_LIST55', $pl55);

global $mod_strings;
$json = getJSONobj();
			
//opt
$file = 'modules/EcmGroupSales/EcmGroupSale.php';
if(file_exists($file)) {
	$cc = array();
	require_once($file);
	$cc = EcmGroupSale::loadSettings();	
}

$OPT = array();
$OPT['row_item_height'] = $cc['row_item_height'];
$OPT['row_item_height_selected'] = $cc['row_item_height_selected'];
$OPT['rows_on_item_list'] = $cc['rows_on_item_list'];
$OPT['position_table_height'] = $OPT['row_item_height']*$OPT['rows_on_item_list']+40+$OPT['rows_on_item_list']*4;
$OPT['quick_product_item_adding'] = $cc['quick_product_item_adding'];

	global $current_user;

  $tmp = $current_user->getPreference('num_grp_sep');
  if(!isset($tmp) || $tmp == '' || $tmp == NULL) $tmp = $sugar_config['default_number_grouping_seperator'];
  $OPT['sep_1000'] = $tmp;

  $tmp = $current_user->getPreference('dec_sep');
  if(!isset($tmp) || $tmp == '' || $tmp == NULL) $tmp = $sugar_config['default_decimal_seperator'];
  $OPT['dec_sep'] = $tmp;

  $tmp = $current_user->getPreference('default_currency_significant_digits');
  if(!isset($tmp) || $tmp == '' || $tmp == NULL) $tmp = $sugar_config['default_currency_significant_digits'];
  $OPT['dec_len'] = $tmp;
  
echo '
<script language="javascript">
	var OPT = '.str_replace('&quot;','\"',$json->encode($OPT)).';
    var MOD = '.str_replace('&quot;','\"',$json->encode($mod_strings)).';

</script>';

global $app_strings;
$this->ss->assign('LBL_SAVE', $app_strings['LBL_SAVE_BUTTON_LABEL']);

